Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058880 - kickstart partitioning with swap --recommended fails
Summary: kickstart partitioning with swap --recommended fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 16:59 UTC by Orion Poplawski
Modified: 2014-10-02 16:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-02 16:30:00 UTC


Attachments (Terms of Use)
storage.log (deleted)
2014-01-28 16:59 UTC, Orion Poplawski
no flags Details
anaconda.log (deleted)
2014-01-28 17:36 UTC, Orion Poplawski
no flags Details
storage.log (deleted)
2014-10-01 20:07 UTC, Orion Poplawski
no flags Details
anaconda.log (deleted)
2014-10-01 20:07 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2014-01-28 16:59:37 UTC
Created attachment 856704 [details]
storage.log

Description of problem:

Trying to re-install rawhide on a VM with:

clearpart --all --initlabel
part / --size=3000 --grow
part swap --recommended
zerombr
bootloader --location=mbr

But it fails to configure the disk.  On the main screen I see:

storage configuration failed: The following problem occurred on line 22 of the kickstart file:

The size None is not valid.

Line 22 in the part swap line.  Looks like swap size is getting set to zero:

16:55:42,335 INFO blivet: Detected 2.00 GiB of memory
16:55:42,404 INFO blivet: Suggested swap size (2.00 GiB) exceeds 10 % of disk space, using 10 % of disk space (0.0) instead.
16:55:42,405 INFO blivet: Swap attempt of 0.0

at the very start.

Comment 1 David Lehman 2014-01-28 17:14:26 UTC
Please attach /tmp/anaconda.log and /tmp/anaconda-tb-* to this bug report. Thanks.

Comment 2 Orion Poplawski 2014-01-28 17:36:56 UTC
Created attachment 856720 [details]
anaconda.log

No anaconda-tb-* files.

Partitioning succeeds if I drop --recommended and set a --size.

Comment 3 Orion Poplawski 2014-10-01 20:06:46 UTC
Still seeing similar with 21 Beta TC1:

Logical volume size "188.05 KiB" must be larger than the volume group extend size of "4096 KiB".

Comment 4 Orion Poplawski 2014-10-01 20:07:15 UTC
Created attachment 943198 [details]
storage.log

Comment 5 Orion Poplawski 2014-10-01 20:07:53 UTC
Created attachment 943199 [details]
anaconda.log

Comment 6 Vratislav Podzimek 2014-10-02 12:39:48 UTC
Can you please attach the kickstart file you are using? I've just tried the following simple one on rawhide anaconda+python-blivet:

timezone Europe/Prague
keyboard us
lang en_US.UTF-8
rootpw --plaintext aaaaa
url --url=http://download.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/
network --bootproto=dhcp

zerombr
clearpart --all
part / --size=1000 --grow
part /boot --size=512
part swap --recommended

%packages
@^gnome-desktop-environment
%end

and it works just fine with no issues.

Comment 7 Orion Poplawski 2014-10-02 16:30:00 UTC
Ah, yeah, this is a little different - using lvm this time. This original issue appears to be fixed so I'll close this and file a new bug.


Note You need to log in before you can comment on or make changes to this bug.